Host Groups do not allow to specify image-based builds
Status: New   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating host-groups it is not possible to mark the host-group as image-based.

This is either a misshapen way to prevent us from creating Host-Groups which cannot be used for bare-metal deployments,

or an simply a slip, since it's well possible to create Host-Groups with a specific Compute-Profiles, which don't make sense for

bare-metal deployments either

Related issues:

Related to Foreman - Bug #10237: Host.new and API disregard provision_method Duplicate 04/22/2015

Related to Foreman - Feature #5790: Default "Deploy on" value for host groups. Closed

Has duplicate Foreman - Feature #14278: Provisionning method in host group Duplicate 03/18/2016

History

#1 - 07/08/2015 10:41 AM - Dominic Cleal

- Related to Bug #10237: Host.new and API disregard provision_method added

#2 - 07/08/2015 10:42 AM - Dominic Cleal

- Category set to Host creation

I agree this ought to be an option, though I'm a little undecided whether it should be on the host group or the compute profile.

Linking to #10237 as although it's a different problem, it's linked in that profiles can contain the image attribute which may guide the CR behaviour

irrespective of the provision_method on the host.  Both might have to be fixed to make it work well.

#3 - 07/09/2015 07:51 AM - Dominic Cleal

- Related to Feature #5790: Default "Deploy on" value for host groups. added

#4 - 03/21/2016 04:09 AM - Dominic Cleal

- Has duplicate Feature #14278: Provisionning method in host group added

Powered by TCPDF (www.tcpdf.org)

05/21/2024 1/1

https://projects.theforeman.org/issues/10237
http://www.tcpdf.org

